libx11 (2:1.1.1-1osso3) unstable; urgency=low

  * Use UTF-8 for Russian.  Fixes: NB#66316

 -- Daniel Stone <daniel.stone@nokia.com>  Fri, 28 Sep 2007 14:58:20 +0300

libx11 (2:1.1.1-1osso2) experimental; urgency=low

  * Add x11proto-xcmisc-dev to Build-Deps.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 10 May 2007 20:30:27 +0300

libx11 (2:1.1.1-1osso1) experimental; urgency=low

  * Merge with Maemo packaging:
    - Add support for building with thumb/parallel.
    - Trim copyright files.
  * Bump back to debhelper v4.
  * Disable XCB support.

 -- Daniel Stone <daniel.stone@nokia.com>  Mon,  7 May 2007 19:23:31 +0300

libx11 (2:1.1.1-1) experimental; urgency=low

  [ Michel Dänzer ]
  * libx11-dev Depends: libxcb-xlib0-dev, because x11.pc references xcb-xlib
    (closes: #410117).

  [ Julien Cristau ]
  * New upstream release.
  * Install upstream ChangeLog.
  * libx11-dev doesn't seem to need to depend on libxext-dev
    (closes: #366676).
  * Use dh_installman in debian/rules to replace ".so" links with symlinks.

 -- Julien Cristau <jcristau@debian.org>  Fri,  9 Feb 2007 01:17:05 +0100

libx11 (2:1.1-2) experimental; urgency=low

  [ Josh Triplett ]
  * Include some upstream post-1.1 fixes in debian/patches:
    * "Bug #9153: Fix access to freed memory."
    * "Bug #9154: Always process an event for _XReadEvents, even if an error
       occurs"; fixes an assertion failure, first observed with xcompmgr.
    * "Debian bug #354315: Clarify return value in XGetWindowAttributes man
       page" (closes: 354315)
  * Fix override discrepancies: library packages go in libs, -dbg and -dev
    packages go in libdevel.  Fix for both the libx11 packages and the new
    libx11-xcb packages.

 -- Josh Triplett <josh@freedesktop.org>  Sat, 25 Nov 2006 14:37:58 -0800

libx11 (2:1.1-1) experimental; urgency=low

  [ Josh Triplett, Jamey Sharp ]
  * New upstream version.
  * Add ourselves to Uploaders.
  * Forward-port patches:
    * 001_no_xkb_in_pc_file.diff: update
    * 003_recognize_glibc_2.3.2_locale_names.diff: update
    * 004_en_US.UTF-8_Compose_fix_Unicode_plane_1.diff: update
    * 005_Compose_fix_latin1_UTF8.diff: update
    * 010_manpage_suffixes.diff: delete, applied upstream
    * 012_ru_RU_UTF-8_XLC_LOCALE.diff: update
    * 014_add_Khmer_digraphs.diff: update
    * 015_russian_locale_alias.diff: update
    * 016_greek_polytonic_Compose.diff: update
    * 019_new_autoconf.diff: delete, applied upstream
    * 020_CVE-2006-5397.diff: delete, applied upstream
  * Stop registering /usr/X11R6/lib in /etc/ld.so.conf in the postinst;
    instead, deregister it if no libraries remain in it.  Remove deregistration
    in postrm, and remove now-unnecessary postrm.
  * Add Build-Depends on libxcb1-dev >= 0.9.92 and libxcb-xlib0-dev >= 0.9.92.
  * Remove Build-Depends not needed with Xlib/XCB: bigreqsproto, xcmiscproto,
    libxau-dev, and libxdmcp-dev.
  * libx11-dev has some unnecessary Depends, but other packages currently rely
    on them, so removal will wait until a later version.
  * Add library, -dev, and -dbg packages for new library libX11-xcb.  Modify
    rules to handle these new packages.
  * libX11-xcb Conflicts: libx11-6 (<< 2:1.1), since it requires a version with
    Xlib/XCB.
  * Add a NEWS.Debian to libx11-6, with Xlib/XCB information.
  * Add XS-Vcs-Git field.
  * Remove old upstream CVS information from package descriptions.
  * Reword package descriptions to stop calling Xlib "the" client interface.

 -- Josh Triplett <josh@freedesktop.org>  Fri, 24 Nov 2006 17:36:55 -0800

libx11 (2:1.0.3-5) unstable; urgency=high

  * Remove /usr/X11R6/lib from /etc/ld.so.conf in postinst if it's no longer
    needed, instead of adding it there.
  * Add patch 021_compose_fclose.diff to fix file descriptor leak when a
    Compose file uses the "include" directive.  Urgency high because this bug
    can have security implications.
  * Add myself to Uploaders, and remove Fabio and Branden with their
    permission.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Thu,  1 Feb 2007 13:09:20 +0100

libx11 (2:1.0.3-4) unstable; urgency=low

  * Some patches got lost in the upgrade from 1.0.0 (2:1.0.0-9) to 1.0.3:
    - 015_russian_locale_alias.diff.  Closes: #368655.
      This aligns with the glibc russian definition of ru_RU.KOI8-R in
      /usr/share/locale/locale.alias.  Note that this only applies to
      Debian's glibc, see bug #62586 and glibc 2.2.5-4. Because of the
      constraint implosed by glibc in /usr/share/i18n/locales/ru_RU,
      we cannot likewise change ru and ru_RU away from ISO8859-5.
      They really should be using ru_RU.UTF-8 anyway.
    - 016_greek_polytonic_Compose.diff. Closes: #386471.
    - 017_FTBFS_makekeys.diff can be left out since it is applied in 1.0.3.

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Nov 2006 00:26:36 +1100

libx11 (2:1.0.3-3) unstable; urgency=high

  [ Julien Cristau ]
  * Urgency high for security bugfix (CVE-2006-5397).
  * Add patch 020_CVE-2006-5397 to fix double fopen() of compose file
  (closes: #398460).  Thanks to Stefan Fritsch for the report.

 -- David Nusinow <dnusinow@debian.org>  Tue, 14 Nov 2006 19:56:01 -0500

libx11 (2:1.0.3-2) unstable; urgency=low

  [ Denis Barbier ]
  * Drop --enable-loadable-i18n from confflags, it does not work with 1.0.3.
    Closes: #392567  Thanks Jérôme Marant

 -- David Nusinow <dnusinow@debian.org>  Fri, 13 Oct 2006 13:25:59 -0400

libx11 (2:1.0.3-1) unstable; urgency=low

  [ David Nusinow ]
  * New upstream release
  * Dump obsolete patch 10 for manpage fix and 13 for setuid fix
  * Run dh_install with --list-missing
  * Remove obsolete patch 011
  * Bump debhelper compat to 5
  * Upstream fix allows building in gnu environments. Thanks Samuel
    Thibault, Robert Millan, and Michael Banck. Closes: #358708
  * Add 019_new_autoconf.diff to allow us to not break the server in
    horrendous ways using newer versions of autoconf. Thanks to Jamey Sharp
    for pointing this patch out in upstream HEAD.
  * Add 010_manpage_suffixes.diff to dynamically generate the internal manpage
    section using __libmansuffix__ the same way the actual file suffix is
    generated, so that they match and lintian becomes useful again here
  * Add pre-depends on x11-common for the -dev package

  [ Denis Barbier ]
  * Sync patches:
    - 003_recognize_glibc_2.3.2_locale_names.diff
    - 005_Compose_fix_latin1_UTF8.diff
    - 006_tailor_pt_BR.UTF-8_Compose.diff
    - 014_add_Khmer_digraphs.diff
  * Add 014_add_Khmer_digraphs.diff.  Khmer keyboards have to generate
    several characters with a single keystroke, so define them in
    en_US.UTF-8/Compose.  They will be added later to all UTF-8 files.
    Thanks Paul Wise.  (closes: #355957)
  * Add support for Khmer locale in 003_recognize_glibc_2.3.2_locale_names.diff

  [ Andres Salomon ]
  * Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fix.

  [ Drew Parsons ]
  * dbg package has priority extra.

 -- David Nusinow <dnusinow@debian.org>  Tue, 10 Oct 2006 22:34:36 -0400

libx11 (2:1.0.0-9) unstable; urgency=low

  * Add 015_russian_locale_alias.diff.  Locale alias for russian was incorrect,
    it should be ru_RU.KOI8-R as in glibc locale.alias.  Thanks Andrei Lahun.
    (closes: #368655)
  * Add 016_greek_polytonic_Compose.diff.  Add compose sequences with the
    right breathing signs U0313/U0314 to el_GR.UTF-8/Compose.
    Thanks Jan Willem Stumpel.  (closes: #386471)
  * Add 017_FTBFS_makekeys.diff.  Fix a FTBFS when compiling with
    x11proto-core-dev >= 7.0.3, backported from upstream.
    Thanks Goswin von Brederlow.  (closes: #387133)

 -- Denis Barbier <barbier@debian.org>  Thu, 14 Sep 2006 01:35:19 +0200

libx11 (2:1.0.0-8) unstable; urgency=low

  * Add 18_nonlinux.diff to fix building in gnu environments. Thanks Samuel
    Thibault, Robert Millan, and Michael Banck. Closes: #358708

 -- David Nusinow <dnusinow@debian.org>  Wed, 27 Sep 2006 21:07:10 -0400

libx11 (2:1.0.0-7) unstable; urgency=high

  * Security update. Fix for setuid privledge escalation vulernabilities.
    See http://lists.freedesktop.org/archives/xorg/2006-June/016146.html for
    the full advisory.
  * Bump standards version to 3.7.2.0

 -- David Nusinow <dnusinow@debian.org>  Sat,  1 Jul 2006 17:05:07 -0400

libx11 (2:1.0.0-6) unstable; urgency=low

  * Remove libx11-dev's dependencies on libxi-dev and libxkbfile-dev. Add a
    dependency on x11proto-input-dev instead. This should break some circular
    dependencies. Thanks go yet again to Kurt Roeckx.

 -- David Nusinow <dnusinow@debian.org>  Tue, 11 Apr 2006 18:17:46 -0400

libx11 (2:1.0.0-5) unstable; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Thu, 23 Mar 2006 22:44:26 -0500

libx11 (2:1.0.0-4) experimental; urgency=low

  [ David Nusinow ]
  * Remove libx11-dev versioned dependency on libxext-dev. This was preventing
    bootstrapping of libxext. Thanks Eugene Konev.

  [ Denis Barbier ]
  * Add Build-Depends: x11proto-input-dev, quilt.  Thanks Kurt Roeckx.
    (Closes: #356918).

 -- David Nusinow <dnusinow@debian.org>  Tue, 21 Mar 2006 19:55:58 -0500

libx11 (2:1.0.0-3) experimental; urgency=low

  [ David Nusinow ]
  * Stop using the xsfbs autoreconf script. The main beneft of using quilt in
    keeping the patches separate is for submitting things upstream and porting
    our changes between upstream releases. Keeping the automatically generated
    build system stuff in patches also doesn't fall under this use category.
  * Make libx11-6 conflict with xlibs-data. Thanks Kurt Roeckx.
    (closes: #356415)

 -- David Nusinow <dnusinow@debian.org>  Sun, 12 Mar 2006 14:00:31 -0500

libx11 (2:1.0.0-2) experimental; urgency=low

  [ David Nusinow ]
  * Properly install all the contents of /usr/lib/X11/locale. Thanks Zephenia
    E. Hull.
  * Provide versioned build-depends on the X libs. Thanks Kurt Roeckx.
    (closes: #354161)
  * Provide libx11-dev dependencies on libxdmcp-dev.
    Thanks Kurt Roeckx. (closes: #354167)
  * Add a bunch of depends to libx11-dev from the monolith. Thanks Eugene
    Konev for the pointer.
  * Add 001_no_xkb_in_pc_file.diff because we don't need x11proto-input-dev.
    Thanks Eugene Konev.

  [ Eugene Konev ]
  * Move locale data in separate libx11-data package. Make libx11-6 depend
    on it.
  * libx11-6.install.in? Huh? Replaced with libx11-6.install
  * Add real binary-indep.
  * Add patches from 6.9:
    - 002_arm_abi_brain_damage.diff
    - 003_recognize_glibc_2.3.2_locale_names.diff
    - 004_en_US.UTF-8_Compose_fix_Unicode_plane_1.diff
    - 005_Compose_fix_latin1_UTF8.diff
    - 006_tailor_pt_BR.UTF-8_Compose.diff
    - 007_iso8859-15_Compose_fix.diff
    - 008_remove_ko_Compose.diff
    - 009_iso8859-15_Compose_Eurosign.diff
    - 012_ru_RU_UTF-8_XLC_LOCALE.diff
  * Adjust Pre-depends for libx11-6. Remove depends on x11-common from
    libx11-dbg and libx11-dev as they depend on libx11-6 anyway.
  * Run dh_install with --fail-missing if there is checkinstall in
    DEB_BUILD_OPTIONS
  * Resurrect libx11-6.post{inst,rm}.in. Add genscripts to build target's
    dependencies.
  * Fix libx11-6.preinst.in to include shelllib and define appropriate vars.
  * Grab fixes for manpages section from Xorg CVS
    - 010_manpages_fix.diff
  * Grab ubuntu patch to support XLOCALELIBDIR separate from XLOCALEDIR
    - 011_stolen_from_ubuntu_xlocalelibdir.diff
  * Add --enable-loadable-i18n to confflags.
  * Use new xsfbs-autoreconf.mk to do autoreconfing.

 -- Eugene Konev <ejka@imfi.kspu.ru>  Mon, 27 Feb 2006 13:45:29 +0700

libx11 (2:1.0.0-1) experimental; urgency=low

  * First upload to Debian
  * Remove versioned build-dep on x11proto-core-dev, since the first package
    we'll be uploading will be versioned properly for us
  * Remove patch dir as the patch has been incorporated by upstream

 -- David Nusinow <dnusinow@debian.org>  Thu, 29 Dec 2005 20:51:20 -0500

libx11 (1:6.2.1+cvs.20050722-8) breezy; urgency=low

  * Fix non-UTF-8 locales by fixing generation of compose.dir, locale.alias,
    and locale.dir in nls/ (closes: Ubuntu#13724).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 30 Sep 2005 16:30:55 +1000

libx11 (1:6.2.1+cvs.20050722-7) breezy; urgency=low

  * Move man pages back to section 3 (closes: Ubuntu#16290).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 29 Sep 2005 11:26:11 +1000

libx11 (1:6.2.1+cvs.20050722-6) breezy; urgency=low

  * Add libx11-dev Build-Depends on x11proto-kb-dev, so we get XKBstr.h, which
    makes XKBlib.h usable.
  * Add foo_t and TRANS_CLIENT defines to Xtrans users; thanks Isaac Richards
    for the catch (closes: Ubuntu#12052).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 19 Aug 2005 15:19:33 +1000

libx11 (1:6.2.1+cvs.20050722-5) breezy; urgency=low

  * Add x-common Pre-Depends to libx11-6, as we ship stuff in
    /usr/lib/X11.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 18 Aug 2005 12:12:45 +1000

libx11 (1:6.2.1+cvs.20050722-4) breezy; urgency=low

  * Fix search path for libXcursor.
  * Add :s to compose.dir to get composition working in apps which use the
    default X input method (closes: Ubuntu#12184).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon,  8 Aug 2005 13:32:12 +1000

libx11 (1:6.2.1+cvs.20050722-3) breezy; urgency=low

  * Make ErrDes.c and StrKeysym.c look for XKEYSYMDB and XERRORDB, not
    KEYSYMDB and ERRORDB, with the pleasant side-effect that they look
    directly in /usr/share/X11, not /usr/lib/X11, so we can throw the cheesy
    symlinks away.  This fixes some corner cases in hoary upgrades.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon,  1 Aug 2005 13:17:15 +1000

libx11 (1:6.2.1+cvs.20050722-2) breezy; urgency=low

  * Move locale data back to /usr/share and libraries to /usr/lib.  XlcDL.c
    and lcFile.c hacked to accommodate this, as well as configure.ac.  This
    fixes all the locale problems, AFAICT. (closes: Ubuntu#12142)

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 26 Jul 2005 23:00:21 +1000

libx11 (1:6.2.1+cvs.20050722-1) breezy; urgency=low

  * Fix locales harder: add the old loadable locale modules back.
  * Although architecture-independent locale data has been moved to
    /usr/lib/X11/locale because of limitations in the path-parsing code.
    Argh!
  * Bump Build-Depends on x11proto-core-dev to today's CVS; -D_XOPEN_SOURCE
    begone!

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 22 Jul 2005 22:29:21 +1000

libx11 (1:6.2.1+cvs.20050711-1) breezy; urgency=low

  * New CVS snapshot, incorporating patch #086 from the monolith.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 11 Jul 2005 10:10:44 +1000

libx11 (1:6.2.1+cvs.20050615-5) breezy; urgency=low

  * Bump libx11-6 -> xlibs-data Conflicts/Replaces to -34; Tollef's -33 did
    not change this.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue,  5 Jul 2005 01:41:19 +1000

libx11 (1:6.2.1+cvs.20050615-4) breezy; urgency=low

  * Make Build-Depends and Depends on x11proto-core-dev explicitly >=
    6.8.99.8-1 (hi LaMont!).
  * Add symlinks to X{Error,KeySym}DB from /usr/{X11R6/,}lib/X11.  Bump
    Conflicts on xlibs-data up to -33.  Add symlinks to locale data in
    /usr/{X11R6,}lib/X11 (closes: Ubuntu#12081).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 17 Jun 2005 15:58:44 +1000

libx11 (1:6.2.1+cvs.20050615-3) breezy; urgency=low

  * Add missing build-depends on:
    - pkg-config, x11proto-kb-dev, x11proto-input-dev

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Jun 2005 13:50:14 +0000

libx11 (1:6.2.1+cvs.20050615-2) breezy; urgency=low

  * Move Build-Depends-Indep to Build-Depends to fix FTBFSs.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Jun 2005 08:53:59 +0000

libx11 (1:6.2.1+cvs.20050615-1) breezy; urgency=low

  * First libx11 release.
    + XCB support removed for now.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 16 May 2005 22:10:17 +1000
